import { CustomEventEmitter } from './custom';
import { IntervalManager } from './shared/interval-manager';
import { IBSheetInstance } from './ibsheet';
import { IBChartInstance } from './ibchart';
import { IBMapInstance } from './ibmap';
import { LoaderConfigOptions } from './config';
import { LoaderRegistry } from './registry';
import { RegisteredItem, LoaderStatus } from './interface';
export declare class IBSheetLoaderStatic extends CustomEventEmitter {
    [x: string]: unknown;
    private _status;
    private _ready;
    private _loadTaskMan;
    private _unloadTaskMan;
    private _options;
    private _ibsheet;
    private _ibchart;
    private _ibmap;
    intervalMan: IntervalManager;
    registry: LoaderRegistry;
    constructor();
    get debug(): boolean;
    get version(): string;
    get ready(): boolean;
    get status(): LoaderStatus;
    get options(): LoaderConfigOptions;
    get loadedDefaultLib(): boolean;
    private _getDefaultRegItem;
    private _initTasksManagers;
    config(options?: LoaderConfigOptions): this;
    getOption(sPath: string, def?: any): any;
    info(alias: string): string | undefined;
    list(): RegisteredItem[];
    getIBSheetStatic(): any;
    getIBChartStatic(): any;
    load(arg?: any, alsoDefaultLib?: boolean): this;
    createChart(options: any): Promise<IBChartInstance>;
    removeChart(sid: string): void;
    createMap(options: any): Promise<IBMapInstance>;
    removeMap(oMap: IBMapInstance): void;
    createSheet(options: any): Promise<IBSheetInstance>;
    removeSheet(sid: string): void;
    sheetReady(callback?: (ibsheet?: any) => void): any;
    reload(arg?: string | string[]): this;
    unload(params?: string | string[]): this;
    reset(): this;
}
